/*
 * $Id: config-template.h,v 1.6 1992/03/31 20:50:25 ceder Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 * $Id: config-template.h,v 1.6 1992/03/31 20:50:25 ceder Exp $
 *
 * This is a generic configuration file for LysKOM.
 */

/*
 * Define BUGGY_INET_NTOA if inet_ntoa is buggy. This is the case for
 * a Sun Sparc with SunOS 4.1.1. If you define BUGGY_INET_NTOA a
 * replacement routine (from libraries/libisc/inet_ntoa.c) will be
 * used.
 */

#define BUGGY_INET_NTOA

/*
 * Define HAVE_LOCALE if you have it (and want to use it).
 */

#define HAVE_LOCALE

/*
 * Define RFC_931 if you want to use authentication as in rfc 931.
 * You need the authuser package that Daniel J. Bernstein has written.
 */

#define RFC_931

/*
 * Define HAVE_STRERROR if your libc.a have strerror.
 */

#define HAVE_STRERROR

/*
 * If you have the getdtablesize system call.
 */

#define HAVE_GETDTABLESIZE

/*
 * Max number of file descriptors that can be opened by a process.
 * If this is set too large here, the server will crash when too many
 * people try to connect at the same time.
 */

#include <sys/param.h>		/* One way to do it... */
#define MAX_OPEN_FD NOFILE

#include <limits.h>		/* Another. (I'm not sure that this  */
#define MAX_OPEN_FD _POSIX_OPEN_MAX /* is correct - use at your own risk!*/


/*
 * Define ENCRYPT_PASSWORDS to encrypt the users password via crypt(3).
 */

#define ENCRYPT_PASSWORDS
