#
# $Id: vax-defs.make,v 1.1 1992/04/14 19:19:51 ceder Exp $
# Copyright (C) 1991  Lysator Academic Computer Association.
#
# This file is part of the LysKOM server.
# 
# LysKOM is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by 
# the Free Software Foundation; either version 1, or (at your option) 
# any later version.
# 
# LysKOM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with LysKOM; see the file COPYING.  If not, write to
# Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
# or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
# MA 02139, USA.
#
# Please mail bug reports to bug-lyskom@lysator.liu.se. 
#
# $Id: vax-defs.make,v 1.1 1992/04/14 19:19:51 ceder Exp $
# This file is included by all Makefiles in the LysKOM hierarchy.
# It gives default values for all variables that is normally used. 
# TOPDIR and SCRIPTDIR must be set before this file is included.
#
# This version is tuned for a Sparc running SunOS 4.1.1 and a lot
# of Gnu utilities.

SHELL=/bin/sh
AWK = gawk
SED = /usr/bin/sed
CC = gcc -ansi
RM = rm -f
RANLIB = ranlib
TOUCHLIB = ranlib -t
SYMLINK = ln -s
YACC = bison -d
LEX = flex
MKDIR=/bin/mkdir

INCLUDEDIR	= $(TOPDIR)/include
LIBDIR		= $(TOPDIR)/lib
ANSIDIR		= $(INCLUDEDIR)/ansi

INCLUDES = -I$(ANSIDIR) -I$(INCLUDEDIR)
OPTIMIZE-FLAGS = -O
MISC-CFLAGS = -g -Wall -Wstrict-prototypes -Wmissing-prototypes
PIPE = -pipe

# -h flag makes NULL pointer references generate runtime errors
LDFLAGS = -h -L$(LIBDIR) $(PROFILE-FLAGS)

LIBRESOLV = -lresolv

LIBIDENT = -lauthuser

CFLAGS =  $(INCLUDES)  $(OPTIMIZE-FLAGS)  $(MISC-CFLAGS) $(PIPE) $(TARGET) $(PROFILE-FLAGS)

PROFILE-FLAGS = 
PROFILE-LIB-SUFFIX = 

# LysKOM executables that the typical user doesn't use go here.
# (The server, dbck, et c)

LYSKOMSYSBIN = /usr/lyskom/bin

# User executables (such as lyskom, kompost et c)

LYSKOMUSRBIN = /usr/local/bin



GENERIC-CLEAN = *~ *.o lib*.a core temp-Makefile temp-?-Makefile

GENERIC-DIST-CLEAN = TAGS Topdir.make dependencies

EXPORTS =

# The Makefiles also dependes on the variables
# AR, ARFLAGS
# that are automatically set by GNU Make.
