/*
 * $Id: memory.h,v 0.6 1991/09/15 10:31:06 linus Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 * $Id: memory.h,v 0.6 1991/09/15 10:31:06 linus Exp $
 *
 * The time has come to get some order into this mess.
 *
 * From now on the following terminology is used:
 *
 *    alloc_		smalloc() the object. Increase _cnt.
 *    free_		sfree() the object. Decrease _cnt.
 *    clear_		free_() any objects contained in the object,
 *			but not the object itself.
 *     copy_		smalloc() a new object and also smalloc()
 *			any objects contained in it.
 */



extern Person *
alloc_person(void);

extern Conference *
alloc_conference(void);

extern Text_stat *
alloc_text_stat(void);

extern void
free_person(Person *person);

extern void
free_conference(Conference *confp);

extern void
free_text_stat(Text_stat *t);

extern Person *
copy_person(Person *p);

extern Conference *
copy_conf(Conference *c);

extern Text_stat *
copy_text_stat(Text_stat *c);

extern void
clear_conference(Conference *c);

extern void
clear_person(Person *p);

extern void
clear_text_stat(Text_stat *t);

#ifdef FILE

extern void
dump_alloc_counts(FILE *stat_file);

#endif
