/*
 * $Id: missing-ansi.c,v 0.7 1992/06/11 14:34:18 ceder Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 * Some missing functions that are needed.
 *
 * Written by ceder.
 */

static char *rcsid = "$Id: missing-ansi.c,v 0.7 1992/06/11 14:34:18 ceder Exp $";


#include <string.h>
#include <time.h>

#if defined(__sequent__) && !defined(DEBUG_MALLOC)

void *
memcpy (void * s1, const void * s2, size_t n)
{
    extern bcopy(const char *b1, char *b2, unsigned int length);

    /* bcopy takes the parameters the other way round. */
    
    bcopy(s2, s1, n);
    return s1;			/* Since ANSI says so */
}

#endif

#if defined(__sequent__) || defined(__sun__) || defined(__vax__)

extern double
difftime(time_t t1, time_t t2)
{
    return (double) t1 - (double) t2;
}

#endif

#ifdef __sequent__

/*
 * This version in NOT 100 % ANSI-conformant, but it is enough to run LysKOM
 * (I hope) /ceder
 */

extern time_t
mktime (const struct tm  * temeptr )
{
    int nyears;
    int nleaps;
    int ndays;

    nyears = temeptr->tm_year - 70;
    nleaps = (nyears+2) / 4;

    ndays = 365 * nyears + nleaps + temeptr->tm_yday;
    
    return (time_t) ( temeptr->tm_sec
		     + 60 * ( temeptr->tm_min
			     + 60 * ( temeptr->tm_hour 
				     + 24 * ndays )));
}

#endif


#if defined(__sequent__) || defined(__sun__)
#include <errno.h>
#include <stdio.h>

extern char *sys_errlist[];
extern int sys_nerr;

const char *strerror(int eno)
{
  static char buf[200];

  
  if (eno < 0 || eno >= sys_nerr)
  {
    sprintf(buf, "error #%d", eno);
    return buf;
  }
  else
    return sys_errlist[eno];
}
#endif
